Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045650
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2020-12-24 14:142021-01-14 17:57
ReporterngarciaView Statuspublic 
Assigned Todmiguelez 
PriorityurgentResolutionfixedFixed in VersionPR21Q2
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045650: Wrong qtyreserved in m_storage_pending table when a sales order is processed and voided

DescriptionWrong qtyreserved in m_storage_pending table when a sales order is processed and voided
Steps To ReproduceAs group admin role:
   Create a new product
   Add a sales price list to it
   Create a new sales order
   Add the product on its lines
   Process it (not book it) and check the status changes to Under Way
   Check the qtyreserved column in the m_storage_pending table for that product changes to the quantity ordered
   Void it
   Check the qtyreserved column in the m_storage_pending table for that product changes to the quantity ordered but in negative. This is wrong
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0125389)
dmiguelez (developer)
2021-01-12 13:38

Test Plan:

Log in as F&B Admin
Go to Product Window and create a new record with:
  - Organization: F&B US
  - Name: Test
  - SearchKey: Test
Move to Price Tab and create a new record with:
  - Price List version: General Sales
  - Unit Price: 10
  - List Price: 10

Go to Sales Order window and create a new record with:
  - Organization: F&B US
  - Business Partner: Healthy Food Supermarkets
Move to lines and create a new record with:
  - Product: Test
  - Ordered Quantity: 1
Click on Book button, select the 'Process' option and then click Ok
Check the status of the Document is 'Under Way'

In the database check that qtyreserved column of the m_storage_pending is 1.
Use this query (to be adapted):
select qtyreserved
from m_storage_pending
where m_product_id = 'PRODUCT_ID';

In the application, with the same Sales Order, click on Book button and select 'Void' as the option and click ok.

In the database check that qtyreserved column of the m_storage_pending is 0.
Use the previous query
(0125390)
dmiguelez (developer)
2021-01-12 13:39

Test Plan II:

Check no regression has been introduced for the following issues:
https://issues.openbravo.com/view.php?id=13926 [^]
https://issues.openbravo.com/view.php?id=20730 [^]
(0125405)
hgbot (developer)
2021-01-13 09:24

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/264 [^]
(0125470)
hgbot (developer)
2021-01-14 17:57

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: 721c1c605569d778a922861c6559e30f29b52e39
Author: David Miguélez <david.miguelez@openbravo.com>
Date: 2021-01-14T16:57:18+00:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/721c1c605569d778a922861c6559e30f29b52e39 [^]

Fixes ISSUE-45650. Call M_UPDATE_STORAGE_PENDING in C_ORDER_POST only
when the DocStatus is not 'IP'
The DocStatus 'IP' case is managed in the C_ORDERLINE2_TRG Trigger and
the logic was duplicated

---
M src-db/database/model/functions/C_ORDER_POST1.xml
---
(0125471)
hgbot (developer)
2021-01-14 17:57

Merge request merged: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/264 [^]

- Issue History
Date Modified Username Field Change
2020-12-24 14:14 ngarcia New Issue
2020-12-24 14:14 ngarcia Assigned To => Triage Finance
2020-12-24 14:14 ngarcia Modules => Core
2020-12-24 14:14 ngarcia Triggers an Emergency Pack => No
2020-12-24 14:15 ngarcia Issue Monitored: networkb
2021-01-12 13:38 dmiguelez Note Added: 0125389
2021-01-12 13:39 dmiguelez Note Added: 0125390
2021-01-13 09:24 hgbot Note Added: 0125405
2021-01-14 09:58 vmromanos Status new => scheduled
2021-01-14 09:58 vmromanos Assigned To Triage Finance => dmiguelez
2021-01-14 17:57 hgbot Resolution open => fixed
2021-01-14 17:57 hgbot Status scheduled => closed
2021-01-14 17:57 hgbot Fixed in Version => PR21Q2
2021-01-14 17:57 hgbot Note Added: 0125470
2021-01-14 17:57 hgbot Note Added: 0125471


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker